DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelTableGetDimensionality

Get the dimensionality of a pixel table

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableGetDimensionality ( table, dimension )

## FUNCTION

Gets the dimensionality of the binary object that is encoded by the pixel table `table`.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable` | `table` | pixel table
`dip_int *` | `dimension` | pointer to a dimensionality variable

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableSetRun`, `PixelTableGetRun`, `PixelTableAddRun`, `PixelTableGetRuns`, `PixelTableGetDimensions`, `PixelTableGetOrigin`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`

DIPlib on-line documentation | Function reference | Global function index